Write EventLogging schemas on Meta-Wiki to capture data for Maps KPIs
Closed, ResolvedPublic

Deskana created this task.Sep 2 2015, 7:49 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a project: Discovery.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 7:49 PM
Deskana claimed this task.Sep 3 2015, 8:15 PM
Deskana set Security to None.
Deskana added a subscriber: Tfinc.

Assigning this task to myself for now so that @Tfinc and I can look at industry standards and decide on a set of actions to record. The schema will then be written more fully by the analysts.

Deskana reassigned this task from Deskana to Tfinc.Sep 3 2015, 8:31 PM

Assigning to @Tfinc to reach out to people at Mapnik to get their input on recording schemas. Meeting is expected to take place next week.

Yurik closed this task as Resolved.EditedSep 8 2015, 11:57 PM
Yurik added subscribers: Ironholds, Yurik.
Yurik moved this task from Backlog to Done on the Maps-Sprint board.Sep 8 2015, 11:59 PM

@Yurik so this logs all actions taken on a project by a subset of users, including all pageviews within a timeframe, and explicitly noting maps-related actions?

MaxSem added a subscriber: MaxSem.Sep 9 2015, 12:28 AM

This logs everything that happens to maps for every user. {feature=Wikivoyage, action=view} is sampled 1:100, the rest is not. If a page has no maps, nothing is logged.

So that's a no.

Our algorithm for quantifying sessions - and one of the KPIs is "number of sessions" - is to look for breakpoints between user activity. This requires a full trace of user activity, not just map-related user activity (going more than N seconds without seeing a map does not mean the user stopped browsing). Without a full trace not only can we not hit one of the baseline KPIs in any way we can't hit what is the logical extension of it (the proportion of sessions that involve map activity).

Ironholds reopened this task as Open.Sep 9 2015, 12:34 AM

Reopening because the existing schema isn't sufficient for the baseline KPIs

It's my understanding from this that the EventLogging schema that was written above does not capture data to display some of the KPIs. I will get confirmation from Tomasz that he's okay with this before marking as resolved.

ksmith moved this task from Analysis to On Sprint Board on the Discovery board.Sep 10 2015, 8:13 PM

It's fine for now. We'll iterate as we learn about usage.

Deskana closed this task as Resolved.Sep 10 2015, 8:32 PM

Excellent.

Yurik added a project: Maps.Nov 7 2015, 7:34 AM